//
// Copyright (c) 2002-2023 WEINZIERL ENGINEERING GmbH
// All rights reserved.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
// SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY DAMAGES OR OTHER LIABILITY,
// WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE
//

#ifndef __BAOSLIB_SDK_H__
#define __BAOSLIB_SDK_H__

#include <wzcpp/features/logging.h>

/*!
    @file
    @brief Global BAOS SDK function and options
*/

/// Global BAOS sdk namespace
namespace wz::baos
{

/*!
    Helper for setting the global log level for the baos sdk classes
*/
void setBaosLogLevel(wzcpp::LogLevel level);

}  // end namespace wz::baos


#endif
